Bug 2076144 (CVE-2022-27451)

Summary: CVE-2022-27451 mariadb: crash via window function in expression in ORDER BY
Product: [Other] Security Response Reporter: Sandipan Roy <saroy>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aos-bugs, caswilli, damien.ciabrini, databases-maint, dciabrin, eglynn, gzaronik, hhorak, jjoyce, jorton, kaycoth, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mkolesni, mmuzila, mschorm, scohen, shurley, SpikeFedora, spower, zmiklank
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the MariaDB Server. It contains a segmentation fault via the component, sql/field_conv.cc, affecting availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-09-01 04:55:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2089977, 2089980, 2090192, 2090831, 2090832, 2090834, 2090839, 2090845, 2096275, 2096280, 2101779    
Bug Blocks: 2075026    

Description Sandipan Roy 2022-04-18 05:06:25 UTC
MariaDB Server v10.9 and below was discovered to contain a segmentation fault via the component sql/field_conv.cc.

https://jira.mariadb.org/browse/MDEV-28094

Comment 1 Mauro Matteo Cascella 2022-05-24 18:48:06 UTC
Upstream commit:
https://github.com/MariaDB/server/commit/8c34eab9688b4face54f15f89f5d62bdfd93b8a7

Comment 4 Mauro Matteo Cascella 2022-05-26 16:04:02 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090831]

Comment 5 Mauro Matteo Cascella 2022-05-26 16:09:35 UTC
Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090832]

Comment 6 Mauro Matteo Cascella 2022-05-26 16:28:59 UTC
Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090834]

Comment 7 Mauro Matteo Cascella 2022-05-26 16:38:51 UTC
Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090839]

Comment 8 Mauro Matteo Cascella 2022-05-26 16:57:33 UTC
Created mariadb:10.7/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090845]

Comment 10 errata-xmlrpc 2022-07-28 16:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 11 errata-xmlrpc 2022-08-02 10:12:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5826 https://access.redhat.com/errata/RHSA-2022:5826

Comment 12 errata-xmlrpc 2022-08-09 12:27:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5948 https://access.redhat.com/errata/RHSA-2022:5948

Comment 14 Product Security DevOps Team 2022-09-01 04:55:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27451